﻿using Syncfusion.Pdf;
using Syncfusion.Pdf.Graphics;
using Syncfusion.Pdf.Parsing;
using System;
using System.Collections.Generic;
using System.Drawing;
using System.IO;
using System.Linq;
using System.Net;
using System.Net.Http;
using System.Web.Http;

namespace MvcApp.Controllers
{
    public class WebAPIController : ApiController
    {

        // POST api/default1
        public byte[] Post()
        {
            PdfDocument document = new PdfDocument();

            // Add a page to the document
            PdfPage page = document.Pages.Add();

            // Create Pdf graphics for the page
            PdfGraphics graphics = page.Graphics;

            // Create a solid brush
            PdfBrush brush = new PdfSolidBrush(Color.Black);

            // Set the font
            PdfFont font = new PdfStandardFont(PdfFontFamily.Helvetica, 20f);

            // Draw the text
            graphics.DrawString("Hello world!", font, brush, new PointF(20, 20));

            using (MemoryStream customStream = new MemoryStream())
            {
                document.Save(customStream as Stream);
                document.Close(true);
                return customStream.ToArray();
            }

        }
    }
}
